%global srcname matrix-synapse-ldap3
%global desc Allows synapse to use LDAP as a password provider.

Name:           python-%{srcname}
Version:        0.1.2
Release:        4%{?dist}
Summary:        Allows synapse to use LDAP as a password provider

License:        ASL 2.0
URL:            https://github.com/matrix-org/%{srcname}
Source0:        %{url}/archive/v%{version}/%{srcname}-v%{version}.tar.gz
BuildArch:      noarch

%description
%{desc}


%package -n python2-%{srcname}
Summary:        %{summary}
Requires:       python2-twisted >= 15.1.0
Requires:       python2-ldap3
Requires:       python2-service-identity
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-twisted >= 15.1.0
BuildRequires:  python2-ldap3
BuildRequires:  python2-service-identity
BuildRequires:  python2-mock
BuildRequires:  python-ldaptor
%{?python_provide:%python_provide python2-%{srcname}}

%description -n python2-%{srcname}
%{desc}


%prep
%autosetup -p1 -n %{srcname}-%{version}


%build
%py2_build


%install
%py2_install


%check
PYTHONPATH=. trial tests


%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%{python2_sitelib}/*


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 12 2017 Jeremy Cline <jeremy@jcline.org> - 0.1.2-2
- Bump the release to rebuild on F26

* Tue Mar 07 2017 Jeremy Cline <jeremy@jcline.org> - 0.1.2-1
- Initial package
